# Codex starter project

This example project is intended to demonstrate how to use the [Vue.js framework][1]
and [Codex][2], Wikimedia's new design system. This project uses [Vite][3] as a build
tool.

## Installation

Clone this repository onto your computer.

```bash
git clone https://gitlab.wikimedia.org/repos/design-systems/codex-starter-template.git
```

Navigate into the project directory.

```bash
cd codex-starter
```

Install the dependencies.

```bash
npm install
```

Start the development server.

```bash
npm run dev
```

Navigate to `localhost:5173` to see your project. Enjoy live updates in the browser
as you make changes to the code.

[1]: https://vuejs.org
[2]: https://doc.wikimedia.org/codex/latest/
[3]: https://vitejs.dev